Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8211 - shutdown gives segmentation fault
Summary: shutdown gives segmentation fault
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: usermode
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-05 20:26 UTC by fisher
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-24 17:06:00 UTC


Attachments (Terms of Use)

Description fisher 2000-01-05 20:26:08 UTC
I just upgraded to usermode-1.17-1.i386.rpm and now "reboot" as well as
"shutdown -rf 0" gives me a "Segmentation Fault".

Comment 1 Nalin Dahyabhai 2000-01-13 23:08:59 UTC
Please run /usr/bin/reboot under gdb, and send a call stack when it crashes.  To
do this, from a shell prompt:
	gdb /usr/bin/reboot
(gdb will start, and present its prompt)
	set args --disable-crash-dialog
	run
(it should segfault)
	where
	quit
(back in your shell)

You can capture the output by starting up /usr/bin/script and running these
commands from inside of the shell it starts, and then typing "exit" to exit the
shell.  Script will log all of the text that was printed to your screen in a
file named "scriptfile", which should help us track this down.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.